Subject: (ngtrans) Something's missing

From: [email-masked]
Date: Mon, 30 Apr 2001 14:30:30 +0300

hello all,

Regarding fragmented ICMP packets, i think something is badly missing from
RFC 2766/2765. I just discovered the hard way that it is impossible to
translate fragmented ICMP packets. Since ICMPv4 doesn't take into account
the pseudo header for checksum while ICMPv6 does. So in case of fragmented
ICMP packets, we can never calculate the checksum since the "payload length"
in IP header is not equal to the packet's actual length. 

I think the only way to do this would be to buffer the fragmented ICMP
packets and do the checksum from scratch. (as is suggested for "frag. UDP
packets with 0 checksum" by the RFC).......Any comments???

imran